/**
 * Cette méthode a pour but de modifier l'état des checkbox de la page ayant pour id "update". Cette nouvelle valeur est
 * la même que la valeur de la check_box entré en paramètre.
 *
 * @param check_box_principal la check_box qui va donner sa valeur à toutes les autres.
 */
function check_toutes_les_autres(check_box_principal) {
    console.log(check_box_principal.checked)
    document.querySelectorAll('#update').forEach(check_box => check_box.checked = check_box_principal.checked)
}

/**
 *  Cette méthode a pour but de supprimer la n-ième ligne du corps (tbody) de la table ayant pour id "form".
 *
 * Dans le cas où nous passons d'un tbody avec deux lignes à un formulaire d'une seule ligne nous modifions le text
 * contenue dans le label de la première ligne en "nom de la ville : ".
 *
 * @param n_ieme_ligne_table le numéro de la ligne à supprimer dans la table
 */
function supprime_entree_nom_ville(n_ieme_ligne_table) {
    tbody = document.getElementById("form").children[0]
    tbody.removeChild(tbody.children[n_ieme_ligne_table])
    if ( tbody.children.length === 1) {
        tbody.firstChild.children[0].textContent = "nom de la ville : "
    }
}